import { TableData } from '../../types/tableData';
import { IPaginationAsync } from '../../types/paginationInternal';
import { ColumnsDetailsT } from '../../types/columnDetails';
import { ActiveTable } from '../../activeTable';
export declare class InitialDataProcessing {
    private static cleanupDataThatDidNotGetAdded;
    static postProcess(data: TableData, columnsDetails: ColumnsDetailsT): void;
    private static fillRow;
    private static processRowDataByLength;
    private static getMaxRowLength;
    private static removeRowsExceedingLimit;
    private static removeDuplicateHeaders;
    static preProcess(at: ActiveTable, data: TableData): void;
    static fillForAsyncPagination(at: ActiveTable, iPagination: IPaginationAsync): void;
}
//# sourceMappingURL=initialDataProcessing.d.ts.map