import { RootCellElement } from '../rootCell/rootCellElement';
// IMPORTANT - this should not be executed in a timeout as it would cause a stutter on the UI
// REF-18
export class ToggleAdditionElements {
    static update(at, isInsert, toggleWhenData) {
        if (at.data.length === 0 || at._columnsDetails.length === 0) {
            RootCellElement.display(at);
        }
        else {
            toggleWhenData(at, isInsert);
        }
    }
}
//# sourceMappingURL=toggleAdditionElements.js.map